/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: carol@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: ArchiveWrapper.java 1739 2008-04-25 14:38:47Z eyindanga $
 * --------------------------------------------------------------------------
 */

/**
 *
 */
package org.ow2.cmi.lb.data;

import java.io.Serializable;

/**
 * Wrapper for archive that contains load balancing policies/strategies.
 * @author The new CMI team
 *
 */
public class ArchiveWrapper implements Serializable {

    /**
     * Serial UID.
     */
    private static final long serialVersionUID = 1L;
    /**
     * Id of the archive.
     */
    private ArchiveId archiveId = null;

    /**
     * Class content.
     */
    private byte[] data;

    /**
     * Default constructor.
     */
    public ArchiveWrapper() {

    }

    /**
     * Constructor using fields.
     * @param className name of the class
     * @param data the archive's datas.
     */
    public ArchiveWrapper(final byte[] data, final ArchiveId archiveId) {
        super();
        this.data = data;
    }

    /**
     * @return the data
     */
    public byte[] getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(final byte[] data) {
        this.data = data;
    }

    /**
     * @return the archiveId
     */
    public ArchiveId getArchiveId() {
        return archiveId;
    }

    /**
     * @param archiveId the archiveId to set
     */
    public void setArchiveId(final ArchiveId archiveId) {
        this.archiveId = archiveId;
    }

}
